package org.jeecg.modules.zrzyqc.qyxx.service.impl;

import org.jeecg.modules.zrzyqc.qyxx.entity.QcQyxx;
import org.jeecg.modules.zrzyqc.qyxx.entity.XzdxVO;
import org.jeecg.modules.zrzyqc.qyxx.mapper.QcQyxxMapper;
import org.jeecg.modules.zrzyqc.qyxx.service.IQcQyxxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.HashMap;
import java.util.List;

/**
 * @Description: 用地单位信息
 * @Author: jeecg-boot
 * @Date: 2022-07-08
 * @Version: V1.0
 */
@Service
public class QcQyxxServiceImpl extends ServiceImpl<QcQyxxMapper, QcQyxx> implements IQcQyxxService {
    @Autowired
    private QcQyxxMapper qcQyxxMapper;

    @Override
    public String selectqyxx() {
        return qcQyxxMapper.selectqyxx();
    }

    @Override
    public String yxdls() {
        return qcQyxxMapper.yxdls();
    }

    @Override
    public String sbdksAdmin() {
        return qcQyxxMapper.sbdksAdmin();
    }

    @Override
    public String sbdksMjAdmin() {
        return qcQyxxMapper.sbdksMjAdmin();
    }

    @Override
    public String sbdks(String name) {
        return qcQyxxMapper.sbdks(name);
    }

    @Override
    public String sbdksMj(String username) {
        return qcQyxxMapper.sbdksMj(username);
    }


    @Override
    public String tgsh(String name) {
        return qcQyxxMapper.tgsh(name);
    }

    @Override
    public String wsh(String name) {
        return qcQyxxMapper.wsh(name);
    }

    @Override
    public String btgsh(String name) {
        return qcQyxxMapper.btgsh(name);
    }

    @Override
    public String dqsbs(String username) {
        return qcQyxxMapper.dqsbs(username);
    }

    @Override
    public String cwth(String username) {
        return qcQyxxMapper.cwth(username);
    }

    @Override
    public String shmj(String username) {
        return qcQyxxMapper.shmj(username);
    }

    @Override
    public String shmj_not(String username) {
        return qcQyxxMapper.shmjNot(username);
    }

    @Override
    public String wshsl(String username) {
        return qcQyxxMapper.wshsl(username);
    }

    @Override
    public String wshslMJ(String username) {
        return qcQyxxMapper.wshslMJ(username);
    }


    @Override
    public String tgshAdmin() {
        return qcQyxxMapper.tgshAdmin();
    }

    @Override
    public String wshAdmin() {
        return qcQyxxMapper.wshAdmin();
    }


    @Override
    public String btgshAdmin() {
        return qcQyxxMapper.btgshAdmin();
    }

    @Override
    public String wshslAdmin() {
        return qcQyxxMapper.wshslAdmin();
    }

    @Override
    public String wshslAdminMJ() {
        return qcQyxxMapper.wshslAdminMJ();
    }


    @Override
    public String shzsl(String username) {
        return qcQyxxMapper.shzsl(username);
    }

    @Override
    public String shzslAdmin() {
        return qcQyxxMapper.shzslAdmin();
    }

    @Override
    public void upSfsb(String id) {
        qcQyxxMapper.upSfsb(id);
    }

    @Override
    public void updatePid(String PARENT_ID, String ORG_CODE) {
        qcQyxxMapper.updatePid(PARENT_ID, ORG_CODE);
    }

    @Override
    public Integer getPWDlog(String name) {
        return qcQyxxMapper.getPWDlog(name);
    }

    @Override
    public String selectdwxx() {
        return qcQyxxMapper.selectdwxx();
    }

    @Override
    public String sydwyxdls() {
        return qcQyxxMapper.sydwyxdls();
    }

    /**/
    @Override
    public String sydwsbdksAdmin() {
        return qcQyxxMapper.sydwsbdksAdmin();
    }

    /*省直上报面积*/
    @Override
    public String sydwwshAdminMj() {
        return qcQyxxMapper.sydwsbdksAdminMj();
    }

    /*未审核*/
    @Override
    public String sydwwshAdminWshMj() {
        return qcQyxxMapper.sydwwshAdminWshMj();
    }

    @Override
    public List<String> queryYears() {
        return qcQyxxMapper.queryYears();
    }

    @Override
    public XzdxVO getXzdx(String s) {
        return qcQyxxMapper.getXzdx(s);
    }

    /**
     * 省直
     * @return
     */
    @Override
    public XzdxVO getXzdxSz() {
        return qcQyxxMapper.getXzdxSz();
    }

    @Override
    public String sydwtgshAdmin() {
        return qcQyxxMapper.sydwtgshAdmin();
    }

    @Override
    public String sydwwshAdmin() {
        return qcQyxxMapper.sydwwshAdmin();
    }

    @Override
    public String sydwbtgshAdmin() {
        return qcQyxxMapper.sydwbtgshAdmin();
    }

    @Override
    public String sydwshzslAdmin() {
        return qcQyxxMapper.sydwshzslAdmin();
    }

    @Override
    public List<HashMap<String, Object>> sjyttjsz(String xzqh) {
        return qcQyxxMapper.sjyttjsz(xzqh);
    }

    @Override
    public List<HashMap<String, Object>> dtdktj(String orgCode) {
        return qcQyxxMapper.dtdktj(orgCode);
    }

    @Override
    public List<HashMap<String, Object>> sjyttjss(String xzqh) {
        return qcQyxxMapper.sjyttjss(xzqh);
    }

    @Override
    public List<HashMap<String, Object>> ssdkmj() {
        return qcQyxxMapper.ssdkmj();
    }

    @Override
    public List<HashMap<String, Object>> szdkmj() {
        return qcQyxxMapper.szdkmj();
    }

    @Override
    public List<HashMap<String, Object>> yjdwhz(String xzqh) {
        return qcQyxxMapper.yjdwhz(xzqh);
    }

    @Override
    public List<HashMap<String, Object>> dtdktjByxq(String orgCode, String xzqh) {
        return qcQyxxMapper.dtdktjByxq(orgCode, xzqh);
    }

    @Override
    public List<HashMap<String, Object>> ssdkmjbyqx(String xzqh) {
        return qcQyxxMapper.ssdkmjbyqx(xzqh);
    }

    @Override
    public List<HashMap<String, Object>> szdkmjByqx(String xzqh) {
        return qcQyxxMapper.szdkmjByqx(xzqh);
    }


}
